from flask import Blueprint
from .buy import inbound_buy_bp
from .semi import inbound_semi_bp
from .base import inbound_base_bp
# 导入 product
from .product import inbound_product_bp

inbound_bp = Blueprint('inbound', __name__)

inbound_bp.register_blueprint(inbound_buy_bp, url_prefix='/buy')
inbound_bp.register_blueprint(inbound_semi_bp, url_prefix='/semi')
inbound_bp.register_blueprint(inbound_base_bp, url_prefix='/base')
# 挂载 product，前缀改为 /product
inbound_bp.register_blueprint(inbound_product_bp, url_prefix='/product')